<?php
function addShipment(){
	global $conn;


	$sender_name = mysqli_real_escape_string($conn, $_POST["sender_name"]);
	$sender_email = mysqli_real_escape_string($conn, $_POST["sender_email"]);
	$sender_phone = mysqli_real_escape_string($conn, $_POST["sender_phone"]);

	$receiver_name = mysqli_real_escape_string($conn, $_POST["receiver_name"]);
	$receiver_email = mysqli_real_escape_string($conn, $_POST["receiver_email"]);
	$receiver_phone = mysqli_real_escape_string($conn, $_POST["receiver_phone"]);

	$package_name = mysqli_real_escape_string($conn, $_POST["package_name"]);
	$package_weight = mysqli_real_escape_string($conn, $_POST["package_weight"]);
	$shipment_type = mysqli_real_escape_string($conn, $_POST["shipment_type"]);

	$booking_date = mysqli_real_escape_string($conn, $_POST["booking_date"]);
	$country_from = mysqli_real_escape_string($conn, $_POST["country_from"]);
	$country_to = mysqli_real_escape_string($conn, $_POST["country_to"]);

	$delivery_date = mysqli_real_escape_string($conn, $_POST["delivery_date"]);
	$payment_amount = mysqli_real_escape_string($conn, $_POST["payment_amount"]);

	$tracking_code_salt = "FTLS-"."1234567890";
	$tracking_code_salt = str_shuffle($tracking_code_salt);
	$tracking_code = substr($tracking_code_salt, 1, 7);
	$tracking_code = str_shuffle($tracking_code);


	$query = mysqli_query($conn, "INSERT INTO shipment VALUES('', '$sender_name', '$sender_email', '$sender_phone', '$receiver_name', '$receiver_email', '$receiver_phone', '$package_name', '$package_weight', '$shipment_type', '$booking_date', '$country_from', '$country_to', '$delivery_date', '$tracking_code', '$payment_amount')");

	$query = mysqli_query($conn, "SELECT * FROM shipment WHERE tracking_code = '$tracking_code'");
	$row = mysqli_fetch_assoc($query);
	$shipment_id = $row["id"];



	$shipping_id = $shipment_id;
	$current_location = $country_from;
	$shipment_status = "Shipment Started";
	$status_date = $booking_date;

	$query = mysqli_query($conn, "INSERT INTO history VALUES('', '$shipping_id', '$sender_email', '$current_location', '$shipment_status', '$status_date')");

	$query = mysqli_query($conn, "INSERT INTO status VALUES('', '$shipping_id', '$sender_email', '$current_location', '$shipment_status', '$status_date')");

 
    $to = $receiver_email;
         $message = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
   <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
     <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
     <title>Account created.</title>
     <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
   </head>
   <body>
     <div style="width:100%; background-color:#123962; color:#fff;">
        <div style="padding:20px 20px; color:#fff; font-size:16px; font-weight: bolder;"><img src="https://greencargodelivery.com/images/fasttrack.png" class="img-responsive" /></div>
     </div>
     <div>
        <p>Dear '.$receiver_name.', </p>
        <p>
         Your shipment just started, read your statements and get your tracking codes/id below. Visit our website and track your goods
        </p>
         <hr>
         <h3>Shipment Current Status</h3>
           <div style="text-align: center;">
              <h4 style="font-size: 25px; font-weight: bolder; color:#c94c06;">Shipment Started</h4>
           </div>
           <hr>
              <h3>Shipment Tracking Code</h3>
                 <div style="text-align: center;">
                    <h4 style="font-size: 25px; font-weight: bolder; color:#c94c06;">'.$tracking_code.'</h4>
                 </div>
           <hr>
           <h3>Shipment manager / shipper details</h3>
          <table style="border-collapse: collapse; width: 100%; border: 2px solid #f8955e;">
             <tr>
               <th style="border: 2px solid #f8955e;">Shippers Name</th>
               <th style="border: 2px solid #f8955e;">Shippers Email</th>
               <th style="border: 2px solid #f8955e;">Shippers Phone</th>
             </tr>
             <tr>
               <td style="border: 2px solid #f8955e;">'.$sender_name.'</td>
               <td style="border: 2px solid #f8955e;">'.$sender_email.'</td>
               <td style="border: 2px solid #f8955e;">'.$sender_phone.'</td>
             </tr>
           </table>

          
             
           
        <p>
         Thank You<br>
         Green Cargo Delivery
        </p>
     </div>
     <footer style="width:100%; background-color:#333; color:#fff;">
       <div style="padding:20px 20px; color:#fff; font-size:16px; font-weight: bolder;"><p>copyright &copy; '.date("Y").' All Rights Reserved By Green Cargo Delivery</p></div>
       
     </footer>
   </body>
   </html>';
         $subject = " ".$user_plan." Your Shipment Just Started";
            // To send HTML mail, the Content-type header must be set
         $headers[] = 'MIME-Version: 1.0';
         $headers[] = 'Content-type: text/html; charset=iso-8859-1';

         // Additional headers
         $headers[] = 'From: Green Cargo Delivery <info@greencargodelivery.com>';

         mail($to, $subject, $message,  implode("\r\n", $headers));


	echo "<script>window.location.assign('all-shipment.php');</script>";
}

function updateShipmentStatus(){
	global $conn;

	$status_date = mysqli_real_escape_string($conn, $_POST["current_date"]);
	$sender_email = mysqli_real_escape_string($conn, $_POST["sender_email"]);
	$current_location = mysqli_real_escape_string($conn, $_POST["current_location"]);
	$shipment_status = mysqli_real_escape_string($conn, $_POST["shipment_status"]);
	$shipping_id = mysqli_real_escape_string($conn, $_POST["shipping_id"]);

	

	$query = mysqli_query($conn, "INSERT INTO history( shipping_id, sender_email, current_location, shipment_status, status_date) VALUES('$shipping_id', '$sender_email', '$current_location', '$shipment_status', '$status_date')");

	$query = mysqli_query($conn, "UPDATE status SET shipment_status = '$shipment_status', current_location = '$current_location', status_date = '$status_date' WHERE shipping_id = '$shipping_id'");
    
    $A_query = mysqli_query($conn, "SELECT * FROM shipment WHERE id = '$shipping_id'");
    $row = mysqli_fetch_assoc($A_query);
    $tracking_code = $row["tracking_code"];
    $receiver_email = $row["receiver_email"];

    $sender_name = $row["sender_name"];
    $sender_email = $row["sender_email"];
    $sender_phone = $row["sender_phone"];





	 $to = $receiver_email;
	      $message = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	 <head>
	  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	  <title>Account created.</title>
	  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
	</head>
	<body>
	  <div style="width:100%; background-color:#123962; color:#fff;">
	     <div style="padding:20px 20px; color:#fff; font-size:16px; font-weight: bolder;"><img src="http://greencargodelivery.com/images_h/logo.png" class="img-responsive" /></div>
	  </div>
	  <div>
	      <h3>Shipment Current Status</h3>
	        <div style="text-align: center;">
	           <h4 style="font-size: 25px; font-weight: bolder; color:#c94c06;">'.$shipment_status.'</h4>
	        </div>
	        <hr>
	           <h3>Shipment Tracking Code</h3>
	              <div style="text-align: center;">
	                 <h4 style="font-size: 25px; font-weight: bolder; color:#c94c06;">'.$tracking_code.'</h4>
	              </div>
	        <hr>
	        <h3>Shipment manager / shipper details</h3>
	       <table style="border-collapse: collapse; width: 100%; border: 2px solid #f8955e;">
	          <tr>
	            <th style="border: 2px solid #f8955e;">Shippers Name</th>
	            <th style="border: 2px solid #f8955e;">Shippers Email</th>
	            <th style="border: 2px solid #f8955e;">Shippers Phone</th>
	          </tr>
	          <tr>
	            <td style="border: 2px solid #f8955e;">'.$sender_name.'</td>
	            <td style="border: 2px solid #f8955e;">'.$sender_email.'</td>
	            <td style="border: 2px solid #f8955e;">'.$sender_phone.'</td>
	          </tr>
	        </table>

	       
	          
	        
	     <p>
	      Thank You<br>
	      Green Cargo Delivery
	     </p>
	  </div>
	  <footer style="width:100%; background-color:#333; color:#fff;">
	    <div style="padding:20px 20px; color:#fff; font-size:16px; font-weight: bolder;"><p>copyright &copy; '.date("Y").' All Rights Reserved By Green Cargo Delivery</p></div>
	    
	  </footer>
	</body>
	</html>';
	      $subject = " ".$user_plan." Shipment Status";
	         // To send HTML mail, the Content-type header must be set
	      $headers[] = 'MIME-Version: 1.0';
	      $headers[] = 'Content-type: text/html; charset=iso-8859-1';

	      // Additional headers
	      $headers[] = 'From: Green Cargo Delivery <info@greencargodelivery.com>';

	      mail($to, $subject, $message,  implode("\r\n", $headers));
	      echo "<script>window.location.assign('dashboard.php');</script>";



}

function editAllShipment(){
	global $conn;


	$sender_name = mysqli_real_escape_string($conn, $_POST["sender_name"]);
	$sender_email = mysqli_real_escape_string($conn, $_POST["sender_email"]);
	$sender_phone = mysqli_real_escape_string($conn, $_POST["sender_phone"]);

	$receiver_name = mysqli_real_escape_string($conn, $_POST["receiver_name"]);
	$receiver_email = mysqli_real_escape_string($conn, $_POST["receiver_email"]);
	$receiver_phone = mysqli_real_escape_string($conn, $_POST["receiver_phone"]);

	$package_name = mysqli_real_escape_string($conn, $_POST["package_name"]);
	$package_weight = mysqli_real_escape_string($conn, $_POST["package_weight"]);
	$shipment_type = mysqli_real_escape_string($conn, $_POST["shipment_type"]);

	$booking_date = mysqli_real_escape_string($conn, $_POST["booking_date"]);
	$country_from = mysqli_real_escape_string($conn, $_POST["country_from"]);
	$country_to = mysqli_real_escape_string($conn, $_POST["country_to"]);

	$delivery_date = mysqli_real_escape_string($conn, $_POST["delivery_date"]);
	$shipping_id =   mysqli_real_escape_string($conn, $_POST["shipping_id"]);
	


	$query = mysqli_query($conn, "UPDATE shipment SET sender_name =  '$sender_name', sender_email = '$sender_email', sender_phone = '$sender_phone', receiver_name = '$receiver_name', receiver_email = '$receiver_email', receiver_phone = '$receiver_phone', package_name = '$package_name', package_weight = '$package_weight', shipment_type = '$shipment_type', booking_date = '$booking_date', country_from = '$country_from', country_to = '$country_to', delivery_date = '$delivery_date' WHERE id = '$shipping_id'");

	echo "<script>window.location.assign('view-all-shipment.php?shipping_id=$shipping_id');</script>";
}
?>