-- phpMyAdmin SQL Dump
-- version 4.9.7
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: Sep 05, 2021 at 02:00 AM
-- Server version: 10.3.31-MariaDB-log-cll-lve
-- PHP Version: 7.3.28

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `arienrzo_ariesexpress`
--

-- --------------------------------------------------------

--
-- Table structure for table `admin`
--

CREATE TABLE `admin` (
  `id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  `phone` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `admin`
--

INSERT INTO `admin` (`id`, `name`, `email`, `phone`, `password`) VALUES
(1, 'obasohan jeffrey', 'jeff@gmail.com', '09776', 'jeff2241'),
(2, 'ADMIN', 'admin@admin.com', '', 'ariesexpress200900');

-- --------------------------------------------------------

--
-- Table structure for table `history`
--

CREATE TABLE `history` (
  `id` int(11) NOT NULL,
  `shipping_id` varchar(100) NOT NULL,
  `sender_email` varchar(100) NOT NULL,
  `current_location` text NOT NULL,
  `shipment_status` text NOT NULL,
  `status_date` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `history`
--

INSERT INTO `history` (`id`, `shipping_id`, `sender_email`, `current_location`, `shipment_status`, `status_date`) VALUES
(153, '45', 'triplehhhofficial@gmail.com', 'United States', 'Shipment Started', '2021-05-11'),
(154, '46', 'account@nationbkwide.com', 'United Kingdom', 'Shipment Started', '2021-05-15'),
(155, '47', 'stevehaggerton2@gmail.com', 'United States', 'Shipment Started', '2021-06-23'),
(156, '47', '', 'Dallas USA', 'Shipment In Transit', '2021-06-23'),
(157, '47', '', 'New Mexico', 'Shipment Forwarded', '2021-07-02'),
(158, '47', '', 'Bahamas', 'Shipment Forwarded', '2021-07-03'),
(159, '47', '', 'Manila', 'Shipment On Hold', '2021-07-04'),
(160, '48', 'darshmike111@gmail.com', 'United States', 'Shipment Started', '2021-07-31'),
(161, '49', 'darshmike111@gmail.com', 'United States', 'Shipment Started', '2021-07-31'),
(162, '49', '', 'Oklahoma', 'Shipment Forwarded', '2021-07-01'),
(163, '47', '', 'Jamaica ', 'Shipment Forwarded', '2021-08-02'),
(164, '47', '', 'Jamaica ', 'Shipment Forwarded', '2021-08-02'),
(165, '47', '', 'Jamaica', 'Shipment Forwarded', '0021-08-22'),
(166, '49', '', 'Jamaica', 'Shipment Forwarded', '2021-08-02'),
(167, '49', '', 'New Delhi', 'Shipment Forwarded', '2021-08-03'),
(168, '49', '', 'New Delhi', 'Shipment On Hold', '2021-08-04'),
(169, '50', 'Andreskarsgerdofficiall2@gmail.com', 'United States', 'Shipment Started', '2021-08-29'),
(170, '49', '', 'New Delhi', 'Shipment Returned', '2021-08-30'),
(171, '50', '', 'San Francisco', 'Shipment In Transit', '2021-08-31');

-- --------------------------------------------------------

--
-- Table structure for table `messages`
--

CREATE TABLE `messages` (
  `id` int(11) NOT NULL,
  `fullname` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  `subject` text NOT NULL,
  `message` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `quotes`
--

CREATE TABLE `quotes` (
  `id` int(11) NOT NULL,
  `firstname` varchar(10000) NOT NULL,
  `lastname` varchar(200) NOT NULL,
  `email` varchar(300) NOT NULL,
  `freight_type` varchar(100) NOT NULL,
  `departure_city` text NOT NULL,
  `delivery_city` text NOT NULL,
  `info` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `quotes`
--

INSERT INTO `quotes` (`id`, `firstname`, `lastname`, `email`, `freight_type`, `departure_city`, `delivery_city`, `info`) VALUES
(6, 'Suman', 'Kumari', '8169965424', '-choose-', 'USA', 'India', 'In Mumbai');

-- --------------------------------------------------------

--
-- Table structure for table `shipment`
--

CREATE TABLE `shipment` (
  `id` int(11) NOT NULL,
  `sender_name` varchar(150) NOT NULL,
  `sender_email` varchar(150) NOT NULL,
  `sender_phone` varchar(100) NOT NULL,
  `receiver_name` varchar(100) NOT NULL,
  `receiver_email` varchar(100) NOT NULL,
  `receiver_phone` varchar(100) NOT NULL,
  `package_name` text NOT NULL,
  `package_weight` varchar(300) NOT NULL,
  `shipment_type` varchar(100) NOT NULL,
  `booking_date` varchar(100) NOT NULL,
  `country_from` varchar(150) NOT NULL,
  `country_to` varchar(150) NOT NULL,
  `delivery_date` varchar(100) NOT NULL,
  `tracking_code` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `shipment`
--

INSERT INTO `shipment` (`id`, `sender_name`, `sender_email`, `sender_phone`, `receiver_name`, `receiver_email`, `receiver_phone`, `package_name`, `package_weight`, `shipment_type`, `booking_date`, `country_from`, `country_to`, `delivery_date`, `tracking_code`) VALUES
(45, 'triple H', 'triplehhhofficial@gmail.com', '+18335478994', 'TARA MILLER ', 'taramiller@gmail.com', '+18332543221', 'tara miller', '20g', 'air freight', '2021-05-11', 'United States', 'United Kingdom', '2021-05-14', '-F927L0'),
(46, 'Nationwide Bank', 'account@nationbkwide.com', '+447537185610', 'Virginia Fitzgerald', 'Virginia.fitzgerald@gmail.com', '+19184247120', 'Virginia\'s Package', '32kg', 'air freight', '2021-05-15', 'United Kingdom', 'United States', '2021-05-20', '2F1-496'),
(47, 'Steve Haggerton', 'stevehaggerton2@gmail.com', '+16823861351', 'Mergilyn Chaudhary', 'Mergilynchaudhary11@gmail.com', '+639675578386', 'Steve\'s Package', '12.5', 'air freight', '2021-06-23', 'United States', 'Philippines', '2021-07-13', '27SF15L'),
(48, 'Darsh Mike Sydney', 'darshmike111@gmail.com', '+16699999841', 'Suman Kumari Sinha', 'sumankumarisinha@yahoo.co.in', '+918169965424', 'Suman\'s Package', '12Kg', 'air freight', '2021-07-31', 'United States', 'India', '2021-08-06', 'S0T5L-7'),
(49, 'Darsh Mike Sydney', 'darshmike111@gmail.com', '+16699999841', 'Suman Kumari Sinha', 'sumankumarisinha@yahoo.co.in', '+918169965424', 'Suman\'s Package', '12Kg', 'air freight', '2021-07-31', 'United States', 'India', '2021-08-06', '6F8-523'),
(50, 'Andre Skarsgerd', 'Andreskarsgerdofficiall2@gmail.com', '+1(609)326-3841', 'Somchit Thibkratok', 'fcvivo1234567@gmail.com', '085-6571844', 'Package', '12kg', 'air freight', '2021-08-29', 'United States', 'Thailand', '2021-09-07', '67391-4');

-- --------------------------------------------------------

--
-- Table structure for table `status`
--

CREATE TABLE `status` (
  `id` int(11) NOT NULL,
  `shipping_id` varchar(100) NOT NULL,
  `sender_email` varchar(100) NOT NULL,
  `current_location` text NOT NULL,
  `shipment_status` text NOT NULL,
  `status_date` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `status`
--

INSERT INTO `status` (`id`, `shipping_id`, `sender_email`, `current_location`, `shipment_status`, `status_date`) VALUES
(47, '45', 'triplehhhofficial@gmail.com', 'United States', 'Shipment Started', '2021-05-11'),
(48, '46', 'account@nationbkwide.com', 'United Kingdom', 'Shipment Started', '2021-05-15'),
(49, '47', 'stevehaggerton2@gmail.com', 'Jamaica', 'Shipment Forwarded', '0021-08-22'),
(50, '48', 'darshmike111@gmail.com', 'United States', 'Shipment Started', '2021-07-31'),
(51, '49', 'darshmike111@gmail.com', 'New Delhi', 'Shipment Returned', '2021-08-30'),
(52, '50', 'Andreskarsgerdofficiall2@gmail.com', 'San Francisco', 'Shipment In Transit', '2021-08-31');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `admin`
--
ALTER TABLE `admin`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `history`
--
ALTER TABLE `history`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `messages`
--
ALTER TABLE `messages`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `quotes`
--
ALTER TABLE `quotes`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `shipment`
--
ALTER TABLE `shipment`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `status`
--
ALTER TABLE `status`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `admin`
--
ALTER TABLE `admin`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `history`
--
ALTER TABLE `history`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=172;

--
-- AUTO_INCREMENT for table `messages`
--
ALTER TABLE `messages`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=356;

--
-- AUTO_INCREMENT for table `quotes`
--
ALTER TABLE `quotes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `shipment`
--
ALTER TABLE `shipment`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=51;

--
-- AUTO_INCREMENT for table `status`
--
ALTER TABLE `status`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=53;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
