 <!----------------------------------------->
          <div class="col-sm-9">
            <div class="panel panel-primary">
            <div class="panel-body">

            <div class="row">

              <div class="col-sm-3">
                <h3><small>Booking Date</small></h3>
                <p style="color:#c94c06; font-weight: bolder;"><?php echo $booking_date; ?></p>
              </div>
              <div class="col-sm-6" align="center">
                <h1><small>Shipment Current Status</small></h1>
                <h1 style="color:#c94c06; font-weight: bolder;"><?php echo $shipment_Sstatus; ?></h1>
                <br>
                <img src="images/barcode.png" class="img-responsive"><br><span style="font-size:16px; font-weight:bold;"><?php echo $tracking_code; ?></span>
              </div>
              <div class="col-sm-3">
                <h3><small>Delivery Date</small></h3>
                <p style="color:#c94c06; font-weight: bolder;"><?php echo $delivery_date; ?></p>
              </div>

            </div>
            <hr>
            <div class="row">
             
              <div class="col-sm-12" align="left">
                <h1><small>Shipment Current Status</small></h1>
                <div class="table-responsive">
                  <table class="table table-striped">
                      <thead>
                        <tr>
                          <th>Date</th>
                          <th>Status/activity</th>
                          <th>Current Location</th>
                          <th>Shipper's Email</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td><?php echo $status_Sdate; ?></td>
                          <td><?php echo $shipment_Sstatus; ?></td>
                          <td><?php echo $current_Slocation; ?></td>
                          <td><?php echo $sender_Semail; ?></td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
              </div>
              

            </div>

            <div class="row">

              <div class="col-sm-12">
                <h1><small>Shipment Details</small></h1>
                <div class="table-responsive">
                  <table class="table table-striped">
                      <thead>
                        <tr>
                          <th>Tracking Number</th>
                          <th>Shipper's Name</th>
                          <th>Shipper's Phone</th>
                          <th>Shipper's Email</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td><?php echo $tracking_code; ?></td>
                          <td><?php echo $sender_name; ?></td>
                          <td><?php echo $sender_phone; ?></td>
                          <td><?php echo $sender_email; ?></td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="table-responsive">
                  <table class="table table-striped">
                      <thead>
                        <tr>
                          <th>Receiver's Name</th>
                          <th>Receiver's Email</th>
                          <th>Receiver's Phone</th>
                          <th>Shipment Type</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td><?php echo $receiver_name; ?></td>
                          <td><?php echo $receiver_email; ?></td>
                          <td><?php echo $receiver_phone; ?></td>
                          <td><?php echo $shipment_type; ?></td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="table-responsive">
                  <table class="table table-striped">
                      <thead>
                        <tr>
                          <th>Package Name</th>
                          <th>Package Weight</th>
                          <th>Country From</th>
                          <th>Country To</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td><?php echo $package_name; ?></td>
                          <td><?php echo $package_weight; ?></td>
                          <td><?php echo $country_from; ?></td>
                          <td><?php echo $country_to; ?></td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="table-responsive">
                  <table class="table table-striped">
                      <thead>
                        <tr>
                          <th>Booking Date</th>
                          <th>Delivery Date</th>
                          <th>Payment Amount</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td><?php echo $booking_date; ?></td>
                          <td><?php echo $delivery_date; ?></td>
                          <td>$<?php echo number_format($payment_amount, 2); ?></td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                
              </div>

            </div>

            <div class="row">
             
              <div class="col-sm-12" align="left">
                <h1><small>Shipment History</small></h1>
                <div class="table-responsive">
                  <table class="table table-striped">
                      <thead>
                        <tr>
                          <th>Date</th>
                          <th>Status/activity</th>
                          <th>Current Location</th>
                        </tr>
                      </thead>
                      <tbody>
                        <?php
                         $query = mysqli_query($conn, "SELECT * FROM history WHERE shipping_id = '$shipping_id' ORDER BY id DESC");
                         while($row = mysqli_fetch_assoc($query)){
                                 $shipment_Hstatus = $row["shipment_status"];
                                 $status_Hdate = $row["status_date"];
                                 $current_Hlocation = $row["current_location"];
                                 $sender_Hemail = $row["sender_email"]; ?>

                                 <tr>
                                   <td><?php echo $status_Hdate; ?></td>
                                   <td><?php echo $shipment_Hstatus; ?></td>
                                   <td><?php echo $current_Hlocation; ?></td>
                                 </tr>

                          <?php  }
                        ?>
                        
                      </tbody>
                    </table>
                  </div>
              </div>
              

            </div>



            </div>
           </div>
          </div>
          <!------------------------------------------>
          <div class="col-sm-3">
            <div class="panel panel-primary">
              <div class="panel-heading">
                Your Shipment code
              </div>
              <div class="panel-body" align="center">
                <h3 style="color:#c94c06; font-weight: bolder;"><?php echo $tracking_code; ?></h3>
              </div>
            </div>

            <div class="panel panel-primary">
              <div class="panel-heading">
                Photo
              </div>
              <div class="panel-body" align="center">
                <img src="userphotos/<?php echo $photo; ?>" class="img-responsive">
              </div>
            </div>

            <div class="panel panel-primary">
              <div class="panel-heading">
                Shipment Location
              </div>
              <div class="panel-body" align="center">
                <p style="color:#c94c06; font-weight: bolder;"><?php echo $country_from; ?> <i class="fa fa-arrow-circle-o-right"></i> <?php echo $country_to; ?></p>
              </div>
            </div>

            <div class="panel panel-deafult">
              <div class="panel-body" align="left">
                <h2><small>Track Shipment</small></h2>
                <form action="tracking-result.php" method="GET">
                  <input type="text" name="ShipmentNumber" class="form-control input-lg" placeholder="Track Your Shipment">
                  <button type="submit" class="btn btn-primary btn-block btn-lg" style="border-radius: 0px;">Track</button>
                </form>
              </div>
            </div>
          </div>
          <!------------------------------->